Last Comment Bug 744061 - Random orange: SUMMARY-UNEXPECTED-FAIL | test-address-book.js | test-address-book.js::setupModule
: Random orange: SUMMARY-UNEXPECTED-FAIL | test-address-book.js | test-address-...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Mike Conley (:mconley) - (needinfo me!)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 10:10 PDT by Mike Conley (:mconley) - (needinfo me!)
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1 (2.29 KB, patch)
2012-04-10 10:23 PDT, Mike Conley (:mconley) - (needinfo me!)
mozilla: review+
Details | Diff | Review

Description Mike Conley (:mconley) - (needinfo me!) 2012-04-10 10:10:03 PDT
SUMMARY-UNEXPECTED-FAIL | test-address-book.js | test-address-book.js::setupModule
  EXCEPTION: Timeout waiting for all 7 address books to show up in the tree view
    at: utils.js line 429
       TimeoutError("Timeout waiting for all 7 address books to show up in the tree view") utils.js 429
       waitFor((function () abController.window.gDirectoryTreeView.rowCount == 7),"Timeout waiting for all 7 address books to show up in the tree view",1000,10,(void 0)) utils.js 467
            controller.js 648
       setupModule([object Object]) test-address-book.js 104
            frame.js 552
            frame.js 599
            frame.js 669
            frame.js 497
            frame.js 675
            server.js 179
            server.js 183
Comment 1 Mike Conley (:mconley) - (needinfo me!) 2012-04-10 10:23:47 PDT
Created attachment 613657 [details] [diff] [review]
Patch v1

Looks like we failed to remove a created address book in one of our tests.
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2012-04-12 13:52:02 PDT
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/c418e4b2019c

Note You need to log in before you can comment on or make changes to this bug.